PHP Manual
Prev |  | Next

# SDO_Model_Type::isAbstractType

(no version information, might be only in CVS)

SDO_Model_Type::isAbstractType -- Test to see if this SDO_Model_Type is an abstract data type

## Description

bool SDO_Model_Type::isAbstractType ( void )

Warning
This function is EXPERIMENTAL. The behaviour of this function, the name of this function, and anything else documented about this function may change without notice in a future release of PHP. Use this function at your own risk.

Test to see if this SDO_Model_Type is an abstract data type. Returns `TRUE` if this type is abstract, that is, no SDO_DataObject of this type can be instantiated, though other types may inherit from it.

## Parameters

None.

## Return Values

Returns `TRUE` if this type is an abstract data type, otherwise returns `FALSE`.

Prev | Home | Next
SDO_Model_Type::getProperty | Up | SDO_Model_Type::isDataType